/*
 * $Id: QueryRecord.java,v 1.2 2006/02/26 12:24:58 akabane Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.rss.tools.itb.search;

/**
 * 検索結果レコード
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class QueryRecord {
	/** 索引語 */
	private String term;
	/** 位置情報 */
	private String location;
	/** 文書番号 */
	private String docno;

	/**
	 * コンストラクタ．
	 */
	public QueryRecord() {
	}
	/**
	 * 索引語を返す．
	 * @return 索引語
	 */
	public String getTerm() {
		return term;
	}
	/**
	 * 索引語を設定する．
	 * @param str 索引語
	 */
	public void setTerm(String str) {
		term = str;
	}
	/**
	 * 位置情報を返す．
	 * @return 位置情報
	 */
	public String getLocation() {
		return location;
	}
	/**
	 * 位置情報を設定する．
	 * @param str 位置情報
	 */
	public void setLocation(String str) {
		location = str;
	}
	/**
	 * 文書番号を返す．
	 * @return 文書番号
	 */
	public String getDocno() {
		return docno;
	}
	/**
	 * 文書番号を設定する．
	 * @param dno 文書番号
	 */
	public void setDocno(String dno) {
		docno = dno;
	}
}
